## gnat 7ubuntu1

=== debian/changelog ===
gnat (7ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Aug 2017 14:19:56 -0400

gnat (7) unstable; urgency=medium

  * Upload to unstable, making gcc-7 the default Ada compiler.
  * Standards-Version: 4.0.1 (no changes).
  * Debhelper 10. Drop explicit rules targets confusing dh.
  * test/basic-compile: check that "hello world" compiles and runs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 16:08:53 +0200

gnat (7~exp1) experimental; urgency=medium

  * Depend on gnat-7, debugging the transition in experimental.
  * Standards-Version: 4.0.0. Downgrade ARM and GPS to Suggests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 18 Feb 2017 11:53:19 +0100

=== debian/control ===
Source: gnat
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.0.1
Homepage: http://gcc.gnu.org
VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat
VCS-Mtn: www.ada-france.org org.debian.gnat

Package: gnat
Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
Depends: ${misc:Depends},
 gcc,
 gnat-7
Suggests: ada-reference-manual-2012, gnat-gps
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

Package: gnat-doc
Architecture: all
Depends: gnat-6-doc, ${misc:Depends}
Description: Documentation for the GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This is an empty package that depends on the documentation package
 for the default Ada compiler for Debian, which is part of the GNU
 Compiler Collection.

## gnat 8.0.1

=== debian/changelog ===
gnat (8.0.1) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:43 +0200

gnat (8.0.0) experimental; urgency=medium

  * Depend on gnat-8, starting the gcc-8 transition in experimental.
  * Drop lintian override for pedantic warning.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 16:06:36 +0200

gnat (7.1) unstable; urgency=medium

  * Debhelper 11.
  * Standards-Version: 4.1.4.
  * Drop Homepage field. This is a native package.
  * Update URI format for VCS-Mtn.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 03 May 2018 10:14:17 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
VCS-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat
VCS-Mtn: mtn://www.ada-france.org?org.debian.gnat

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-8
Suggests: ada-reference-manual-2012, gnat-gps
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 8.0.1ubuntu1

=== debian/changelog ===
gnat (8.0.1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Nov 2018 23:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -9,8 +10,9 @@
 VCS-Mtn: mtn://www.ada-france.org?org.debian.gnat
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-8
 Suggests: ada-reference-manual-2012, gnat-gps
 Description: GNU Ada compiler
@@ -31,3 +33,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-8-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 8.0.1+nmu1

=== debian/changelog ===
gnat (8.0.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:53:09 +0800

## gnat 9~exp1

=== debian/changelog ===
gnat (9~exp1) experimental; urgency=medium

  * Start the gnat-9 transition in experimental.
  * Move VCS to salsa.debian.org.
  * Debhelper 12. Rules-Requires-Root: no. Standards-Version 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 17 Jul 2019 23:00:25 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12)
Rules-Requires-Root: no
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/gnat
Vcs-Git: https://salsa.debian.org/debian/gnat.git -b debian/master

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-9
Suggests: ada-reference-manual-2012, gnat-gps
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 9ubuntu1

=== debian/changelog ===
gnat (9ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2020 22:23:11 +0100

gnat (9) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0. Vcs-Git: drop unneeded -b.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Feb 2020 15:52:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/gnat
-Vcs-Git: https://salsa.debian.org/debian/gnat.git -b debian/master
+Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-9
 Suggests: ada-reference-manual-2012, gnat-gps
 Description: GNU Ada compiler
@@ -32,3 +34,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-8-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 9ubuntu2

=== debian/changelog ===
gnat (9ubuntu2) focal; urgency=medium

  * Build for riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Apr 2020 09:36:24 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
  gcc,
  gnat-9

## gnat 10ubuntu1

=== debian/changelog ===
gnat (10ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Dec 2020 22:35:21 +0100

gnat (10) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 10 Dec 2020 22:59:11 +0100

gnat (10~exp1) experimental; urgency=medium

  * Start the gnat-10 transition in experimental.
  * Debhelper 13.
  * Increase test verbosity.
  * Stop recommending gnat-gps (removed from testing).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Sep 2020 14:55:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/gnat
@@ -14,8 +14,8 @@
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
  gcc,
- gnat-9
-Suggests: ada-reference-manual-2012, gnat-gps
+ gnat-10,
+Suggests: ada-reference-manual-2012
 Description: GNU Ada compiler
  GNAT is a full-featured Ada 2012 compiler.  A quote from
  http://www.adaic.org says: "Easily reused and maintained, readable

## gnat 10ubuntu2

=== debian/changelog ===
gnat (10ubuntu2) impish; urgency=medium

  * gnat-doc should depend on gnat-10-doc, matching gnat.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Aug 2021 08:53:40 -0700

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 Package: gnat-doc
 Architecture: all
-Depends: gnat-8-doc, ${misc:Depends}
+Depends: gnat-10-doc, ${misc:Depends}
 Description: Documentation for the GNU Ada compiler
  GNAT is a full-featured Ada 2012 compiler.  A quote from
  http://www.adaic.org says: "Easily reused and maintained, readable

## gnat 10.1

=== debian/changelog ===
gnat (10.1) unstable; urgency=medium

  * Source-only upload in order to force rebuild by buildds.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Dec 2020 11:14:39 +0100

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/gnat
Vcs-Git: https://salsa.debian.org/debian/gnat.git

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-10,
Suggests: ada-reference-manual-2012
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

=== debian/tests/control ===
Tests: basic-compile

## gnat 10.1ubuntu1

=== debian/changelog ===
gnat (10.1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Oct 2021 12:19:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,8 +11,9 @@
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-10,
 Suggests: ada-reference-manual-2012
 Description: GNU Ada compiler
@@ -32,3 +34,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-10-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 11.1ubuntu1

=== debian/changelog ===
gnat (11.1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 18:16:19 -0700

gnat (11.1) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 17:45:06 +0200

gnat (11.0) experimental; urgency=medium

  * Start the gnat-11 transition in experimental.
  * Mark test as superficial.
  * Standards-Version: 4.6.0
  * Provide debian_packaging.mk, previously in GCC.
    There is no file conflict as GCC was adding a version suffix.
    Apply incompatible changes (users must remove the suffix anyway).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 10:57:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/gnat
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
@@ -14,7 +14,7 @@
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
  gcc,
- gnat-10,
+ gnat-11,
 Suggests: ada-reference-manual-2012
 Description: GNU Ada compiler
  GNAT is a full-featured Ada 2012 compiler.  A quote from

## gnat 11.2

=== debian/changelog ===
gnat (11.2) unstable; urgency=medium

  * d/control: bump Standards-Version
  * debian_packaging.mk: add -gno-record-gcc-switches to GPRBUILDFLAGS

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 28 May 2022 13:25:32 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/gnat
Vcs-Git: https://salsa.debian.org/debian/gnat.git

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-11,
Suggests: ada-reference-manual-2012
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 11.2ubuntu1

=== debian/changelog ===
gnat (11.2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jun 2022 09:25:28 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,8 +11,9 @@
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-11,
 Suggests: ada-reference-manual-2012
 Description: GNU Ada compiler
@@ -32,3 +34,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-10-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 12.2

=== debian/changelog ===
gnat (12.2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Dec 2022 23:03:01 +0100

gnat (12.1) experimental; urgency=medium

  * Add -gno-record-gcc-switches to GNATMAKEFLAGS
  * Define DEB_GNAT_VERSION in debian_packaging.mk

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Aug 2022 23:30:15 +0000

gnat (12.0) experimental; urgency=medium

  * Start the gnat-12 transition in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 14 Jul 2022 17:32:27 +0200

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/gnat
Vcs-Git: https://salsa.debian.org/debian/gnat.git

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-12,
Suggests: ada-reference-manual-2012
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

DEB_GNAT_VERSION = $(shell \
  sed '/^ gnat-\([0-9]\+\),$$/!d;s//\1/;q' debian/control)
execute_after_dh_install:
	mkdir -p debian/gnat/usr/share/ada
	sed s/@DEB_GNAT_VERSION@/$(DEB_GNAT_VERSION)/ debian_packaging.mk \
	  > debian/gnat/usr/share/ada/debian_packaging.mk

## gnat 12.2ubuntu1

=== debian/changelog ===
gnat (12.2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Dec 2022 09:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,8 +11,9 @@
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-12,
 Suggests: ada-reference-manual-2012
 Description: GNU Ada compiler
@@ -32,3 +34,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-12-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 13.2

=== debian/changelog ===
gnat (13.2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 13:43:12 +0100

gnat (13.1) experimental; urgency=medium

  * Require a gnat-13 version providing gnat-13-HASH.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 11:31:03 +0000

gnat (13.0) experimental; urgency=medium

  * Start the gnat-13 transition in experimental.
  * Remove debian_packaging.mk (replaced with packaging.mk
    installed by the dh-ada-library package).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 22 Oct 2023 20:58:26 +0000

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/gnat
Vcs-Git: https://salsa.debian.org/debian/gnat.git

Package: gnat
Architecture: all
Depends: ${misc:Depends},
 gnat-13 (>= 13.2.0-3),
Suggests: ada-reference-manual-2012
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 13.2ubuntu2

=== debian/changelog ===
gnat (13.2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:03:33 +0000

gnat (13.2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2024 11:49:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,8 +11,9 @@
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
+ gcc,
  gnat-13 (>= 13.2.0-3),
 Suggests: ada-reference-manual-2012
 Description: GNU Ada compiler
@@ -32,3 +34,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-12-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

=== debian/tests/control ===
Tests: basic-compile
Restrictions: superficial

## gnat 14.1

=== debian/changelog ===
gnat (14.1) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.
  * Enable salsa CI via salsa-ci.yml

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Mar 2025 12:07:24 +0100

gnat (14.0) experimental; urgency=medium

  * Start the gnat-14 transition in experimental.  Closes: #1080373.
  * Install unversioned links to gnat tools in the gnat-V package.
    Break and Replace previous gnat-V versions providing the same links.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 11 Oct 2024 20:34:13 +0000

=== debian/control ===
Source: gnat
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/gnat
Vcs-Git: https://salsa.debian.org/debian/gnat.git

Package: gnat
Architecture: all
Depends: ${misc:Depends},
# This line is parsed by debian/gnat.links:
 gnat-14,
Suggests: ada-reference-manual-2012
# The unversioned symbolic links to gnat tools have moved from gnat-X.
Breaks: gnat-7, gnat-8, gnat-9, gnat-10, gnat-11, gnat-12, gnat-13,
Replaces: gnat-7, gnat-8, gnat-9, gnat-10, gnat-11, gnat-12, gnat-13,
Description: GNU Ada compiler
 GNAT is a full-featured Ada 2012 compiler.  A quote from
 http://www.adaic.org says: "Easily reused and maintained, readable
 and user friendly, Ada code facilitates such massive software
 projects as the Space Station and the Paris Metro. It has proven to
 be extraordinarily robust in decades' worth of daily field tests
 under the most rigorous conditions in which millions of lives have
 been at stake."  Ada is the language for real-world, mission-critical
 programming.
 .
 At the same time, Ada's radical type safety helps novice programmers
 avoid many common mistakes and deliver their software on time (see
 http://www.adaic.org/atwork/trains.html).
 .
 This empty package depends on the default version of the Ada compiler
 for Debian, which is part of the GNU Compiler Collection. Its
 enforces the same version for all Ada compilations, as described in
 the Debian Ada Policy.

## gnat 14.1ubuntu1

=== debian/changelog ===
gnat (14.1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the gnat-doc package.
    - Build gnat as an architecture dependent package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Mar 2025 05:46:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnat
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
@@ -10,8 +11,9 @@
 Vcs-Git: https://salsa.debian.org/debian/gnat.git
 
 Package: gnat
-Architecture: all
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x
 Depends: ${misc:Depends},
+ gcc,
 # This line is parsed by debian/gnat.links:
  gnat-14,
 Suggests: ada-reference-manual-2012
@@ -36,3 +38,24 @@
  for Debian, which is part of the GNU Compiler Collection. Its
  enforces the same version for all Ada compilations, as described in
  the Debian Ada Policy.
+
+Package: gnat-doc
+Architecture: all
+Depends: gnat-12-doc, ${misc:Depends}
+Description: Documentation for the GNU Ada compiler
+ GNAT is a full-featured Ada 2012 compiler.  A quote from
+ http://www.adaic.org says: "Easily reused and maintained, readable
+ and user friendly, Ada code facilitates such massive software
+ projects as the Space Station and the Paris Metro. It has proven to
+ be extraordinarily robust in decades' worth of daily field tests
+ under the most rigorous conditions in which millions of lives have
+ been at stake."  Ada is the language for real-world, mission-critical
+ programming.
+ .
+ At the same time, Ada's radical type safety helps novice programmers
+ avoid many common mistakes and deliver their software on time (see
+ http://www.adaic.org/atwork/trains.html).
+ .
+ This is an empty package that depends on the documentation package
+ for the default Ada compiler for Debian, which is part of the GNU
+ Compiler Collection.

## gnat 14.1ubuntu2

=== debian/changelog ===
gnat (14.1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 20:50:00 +0000

## gnat util-20.0w-20190814-1532A-src

=== Makefile ===
# This makefile is used to build and install Gnat_Util
# For information on building and installing Gnat_Util see README.gnat_util.

ENABLE_SHARED=no
BUILD_TYPE=Production

prefix=/usr/local

BUILDER=gprbuild -j0
INSTALLER=gprinstall

OS_TYPE=unix

ifeq ($(OS),Windows_NT)
  OS_TYPE=Windows_NT
endif

CP=cp -p
MKDIR=mkdir -p
SRC=gen_src

.PHONY: all
all: generate_sources
	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
		-XLIBRARY_TYPE=static -Pgnat_util -p
ifeq ($(ENABLE_SHARED), yes)
	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
		-XLIBRARY_TYPE=relocatable -Pgnat_util -p
endif
	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
		-XLIBRARY_TYPE=static-pic -Pgnat_util -p

.PHONY: generate_sources
generate_sources:
	$(MKDIR) $(SRC)
	$(CP) xsnamest.adb xutil.* snames.adb-tmpl snames.ads-tmpl snames.h-tmpl $(SRC)
	(cd $(SRC) && \
	   gnatmake -gnatf -gnatwae -gnatyg -gnatyS xsnamest && \
	   ./xsnamest && mv snames.ns snames.ads && mv snames.nb snames.adb)
	$(CP) sdefault_adb.gnat_util $(SRC)/sdefault.adb

install-clean:
ifneq (,$(wildcard $(prefix)/lib/gnat/manifests/gnat_util))
	-$(INSTALLER) -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) --uninstall \
		--prefix=$(prefix) --project-subdir=lib/gnat gnat_util
endif

.PHONY: install
install: install-clean
	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
		-XLIBRARY_TYPE=static \
		--prefix=$(prefix) \
		--sources-subdir=include/gnat_util \
		--lib-subdir=lib/gnat_util/static \
		--project-subdir=lib/gnat \
		--build-var=LIBRARY_TYPE --build-name=static -Pgnat_util
ifeq ($(ENABLE_SHARED), yes)
	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
		-XLIBRARY_TYPE=relocatable \
		--prefix=$(prefix) \
		--sources-subdir=include/gnat_util \
		--lib-subdir=lib/gnat_util/relocatable \
		--project-subdir=lib/gnat \
		--build-var=LIBRARY_TYPE --build-name=relocatable -Pgnat_util
endif
	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
		-XLIBRARY_TYPE=static-pic \
		--prefix=$(prefix) \
		--sources-subdir=include/gnat_util \
		--lib-subdir=lib/gnat_util/static-pic \
		--project-subdir=lib/gnat \
		--build-var=LIBRARY_TYPE --build-name=static-pic -Pgnat_util

.PHONY: clean
clean:
	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=relocatable
	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=static
	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=static-pic

## gnat util-gpl-2014-src

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,6 @@
 	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=relocatable -Pgnat_util -p
 endif
-	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
-		-XLIBRARY_TYPE=static-pic -Pgnat_util -p
 
 .PHONY: generate_sources
 generate_sources:
@@ -47,7 +45,7 @@
 
 .PHONY: install
 install: install-clean
-	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
+	${INSTALLER} -p -f -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=static \
 		--prefix=$(prefix) \
 		--sources-subdir=include/gnat_util \
@@ -55,7 +53,7 @@
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=static -Pgnat_util
 ifeq ($(ENABLE_SHARED), yes)
-	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
+	${INSTALLER} -p -f -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=relocatable \
 		--prefix=$(prefix) \
 		--sources-subdir=include/gnat_util \
@@ -63,16 +61,8 @@
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=relocatable -Pgnat_util
 endif
-	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
-		-XLIBRARY_TYPE=static-pic \
-		--prefix=$(prefix) \
-		--sources-subdir=include/gnat_util \
-		--lib-subdir=lib/gnat_util/static-pic \
-		--project-subdir=lib/gnat \
-		--build-var=LIBRARY_TYPE --build-name=static-pic -Pgnat_util
 
 .PHONY: clean
 clean:
 	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=relocatable
 	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=static
-	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=static-pic

## gnat util-gpl-2016-src

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 ENABLE_SHARED=no
 BUILD_TYPE=Production
+ENABLE_PIC=yes
 
 prefix=/usr/local
 
@@ -13,6 +14,7 @@
 
 ifeq ($(OS),Windows_NT)
   OS_TYPE=Windows_NT
+  ENABLE_PIC=no
 endif
 
 CP=cp -p
@@ -26,6 +28,10 @@
 ifeq ($(ENABLE_SHARED), yes)
 	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=relocatable -Pgnat_util -p
+endif
+ifeq ($(ENABLE_PIC), yes)
+	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
+		-XLIBRARY_TYPE=static-pic -Pgnat_util -p
 endif
 
 .PHONY: generate_sources
@@ -45,7 +51,7 @@
 
 .PHONY: install
 install: install-clean
-	${INSTALLER} -p -f -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
+	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=static \
 		--prefix=$(prefix) \
 		--sources-subdir=include/gnat_util \
@@ -53,7 +59,7 @@
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=static -Pgnat_util
 ifeq ($(ENABLE_SHARED), yes)
-	${INSTALLER} -p -f -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
+	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=relocatable \
 		--prefix=$(prefix) \
 		--sources-subdir=include/gnat_util \
@@ -61,8 +67,18 @@
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=relocatable -Pgnat_util
 endif
+ifeq ($(ENABLE_PIC), yes)
+	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
+		-XLIBRARY_TYPE=static-pic \
+		--prefix=$(prefix) \
+		--sources-subdir=include/gnat_util \
+		--lib-subdir=lib/gnat_util/static-pic \
+		--project-subdir=lib/gnat \
+		--build-var=LIBRARY_TYPE --build-name=static-pic -Pgnat_util
+endif
 
 .PHONY: clean
 clean:
 	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=relocatable
 	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=static
+	-gprclean -r -q -Pgnat_util -XOS=$(OS_TYPE) -XLIBRARY_TYPE=static-pic
